import request from '@/utils/request'

// 查询用户基本考核答案列表
export function listAppletAnswerBase(query) {
  return request({
    url: '/model/AppletAnswerBase/list',
    method: 'get',
    params: query
  })
}

// 查询用户基本考核答案详细
export function getAppletAnswerBase(id) {
  return request({
    url: '/model/AppletAnswerBase/' + id,
    method: 'get'
  })
}

// 新增用户基本考核答案
export function addAppletAnswerBase(data) {
  return request({
    url: '/model/AppletAnswerBase',
    method: 'post',
    data: data
  })
}

// 修改用户基本考核答案
export function updateAppletAnswerBase(data) {
  return request({
    url: '/model/AppletAnswerBase',
    method: 'put',
    data: data
  })
}

// 删除用户基本考核答案
export function delAppletAnswerBase(id) {
  return request({
    url: '/model/AppletAnswerBase/' + id,
    method: 'delete'
  })
}
